SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[MEDWEB_GECMISTETKIKLER]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].MEDWEB_GECMISTETKIKLER
GO

CREATE FUNCTION dbo.MEDWEB_GECMISTETKIKLER(@HKIMLIKID int, @HTETKIKKARTID int) 
RETURNS @retGecmisTetkikler TABLE 
(
	TETKIKTURADI nvarchar(50),
	ITEMADI nvarchar(150),
	HTRAPORU ntext,
	HTSONUC ntext,
	HTETKIKID int,
	LTCKIMLIKNO nvarchar(25),
	LADISOYADI nvarchar(75),
	LDTARIHI datetime,
	LHYASI int,
	HCINSIYETI nvarchar(5),
	HDOSYAID nvarchar(50),
	LBOLUM nvarchar(50),
	LDOKTOR nvarchar(50),
	LUYGDRADI nvarchar(50),
	UYGDRUNVAN nvarchar(50),
	UYGDRUZMANLIKADI nvarchar(100)
)
AS
BEGIN
	INSERT INTO @retGecmisTetkikler
	SELECT TETKIKTURADI, ITEMADI, HTRAPORU, HTSONUC, HTETKIKID, LTCKIMLIKNO, LADISOYADI, LDTARIHI, LHYASI, HCINSIYETI, HDOSYAID, LBOLUM,
                 LDOKTOR, LUYGDRADI, UYGDRUNVAN, UYGDRUZMANLIKADI
	FROM VWTETKIK 
	WHERE HKIMLIKID = @HKIMLIKID AND HTETKIKKARTID  = @HTETKIKKARTID AND DURUM = 2 AND WEBGORUNSUN = 1
	ORDER BY HTETKIKID DESC
    RETURN
END
